All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.exceptionhighlighting
Class ExceptionHighlightingRule

    com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRule

All Implemented Interfaces:
  ExceptionHighlightingRuleInterface

Direct Known Subclasses:
  ExceptionHighlightingOLAPRule

    public class ExceptionHighlightingRule

implements ExceptionHighlightingRuleInterface

class that contains attributes and methods for manipulating an EH Rule.

Since:
  3.1.4

Field Summary
`protected boolean` | `addImage`
`protected boolean` | `addText`
`protected java.lang.String` | `assignment` The assignment for expression
`protected boolean` | `bold`
`protected java.lang.String` | `condition` The condition for expression
`protected java.lang.String` | `fillColor` The fill color
`protected java.lang.String` | `font` The font
`protected java.lang.String` | `fontColor` The font color
`protected java.lang.String` | `fontSize` The font size
`protected java.lang.String` | `id` The id of this rule
`protected java.lang.String` | `image`
`protected java.lang.String` | `imageTextPosition`
`protected boolean` | `isMeasure`
`protected boolean` | `italic`
`protected java.lang.String` | `label` The label (human readable name) of this rule
`protected java.lang.String` | `maxValue`
`protected boolean` | `maxValueUserDefined`
`protected java.lang.String` | `measure` The leftmose side of expression
`protected java.lang.String` | `minValue`
`protected boolean` | `minValueUserDefined`
`protected java.lang.String` | `outlineColor` The outline color
`protected java.lang.String` | `text`
`protected boolean` | `textBold`
`protected java.lang.String` | `textFont`
`protected java.lang.String` | `textFontColor`
`protected java.lang.String` | `textFontSize`
`protected boolean` | `textItalic`
`protected boolean` | `textUnderline`
`protected boolean` | `underline`
`protected java.lang.String` | `value` The rightmost side of expression
`protected boolean` | `valueUserDefined`

Fields inherited from interface com.sas.dataselectors.exceptionhighlighting.ExceptionHighlightingRuleInterface
`LEFT, REPLACEMENT, RIGHT`

Constructor Summary
`ExceptionHighlightingRule()`

Method Summary
`java.lang.String` | `getAssignment()` Gets the assignment of rule expression
`java.lang.String` | `getCondition()` Gets the condition for rule expression
`java.lang.String` | `getExpression()` Gets the String expression representing this rule
`java.lang.String` | `getFillColor()`
`java.lang.String` | `getFont()`
`java.lang.String` | `getFontColor()`
`java.lang.String` | `getFontSize()`
`java.lang.String` | `getId()` Gets the unique ID of this rule.
`java.lang.String` | `getImage()`
`java.lang.String` | `getImageTextPosition()`
`java.lang.String` | `getLabel()` Gets the label (human readable name) of this rule
`java.lang.String` | `getMaxValue()` Gets the max value for between expression
`java.lang.String` | `getMeasure()` Gets the leftmost side of rule expression
`java.lang.String` | `getMinValue()` Gets the min value for between expression
`java.lang.String` | `getOutlineColor()`
`java.lang.String` | `getText()`
`java.lang.String` | `getTextFont()`
`java.lang.String` | `getTextFontColor()`
`java.lang.String` | `getTextFontSize()`
`java.lang.String` | `getValue()` Gets the rightmost side of rule expression
`boolean` | `isAddImage()`
`boolean` | `isAddText()`
`boolean` | `isBold()`
`boolean` | `isItalic()`
`boolean` | `isMaxValueUserDefined()`
`boolean` | `isMeasure()`
`boolean` | `isMinValueUserDefined()`
`boolean` | `isTextBold()`
`boolean` | `isTextItalic()`
`boolean` | `isTextUnderline()`
`boolean` | `isUnderline()`
`boolean` | `isValueUserDefined()`
`void` | `setAddImage(boolean addImage)`
`void` | `setAddText(boolean addText)`
`void` | `setAssignment(java.lang.String assignment)` Sets the assignment of rule expression
`void` | `setBold(boolean bold)`
`void` | `setCondition(java.lang.String condition)` Sets the condition for rule expression
`void` | `setFillColor(java.lang.String fillColor)`
`void` | `setFont(java.lang.String font)`
`void` | `setFontColor(java.lang.String fontColor)`
`void` | `setFontSize(java.lang.String fontSize)`
`void` | `setId(java.lang.String id)` Sets the unique ID of this rule
`void` | `setImage(java.lang.String image)`
`void` | `setImageTextPosition(java.lang.String imageTextPosition)`
`void` | `setIsMeasure(boolean isMeasure)`
`void` | `setItalic(boolean italic)`
`void` | `setLabel(java.lang.String label)` Sets the label (human readable name) of this rule
`void` | `setMaxValue(java.lang.String maxValue)` Sets the max value for between expression
`void` | `setMaxValueUserDefined(boolean maxValueUserDefined)`
`void` | `setMeasure(java.lang.String measure)` Sets the leftmost side of rule expression
`void` | `setMinValue(java.lang.String minValue)` Sets the min value for between expression
`void` | `setMinValueUserDefined(boolean minValueUserDefined)`
`void` | `setOutlineColor(java.lang.String outlineColor)`
`void` | `setText(java.lang.String text)`
`void` | `setTextBold(boolean textBold)`
`void` | `setTextFont(java.lang.String textFont)`
`void` | `setTextFontColor(java.lang.String textFontColor)`
`void` | `setTextFontSize(java.lang.String textFontSize)`
`void` | `setTextItalic(boolean textItalic)`
`void` | `setTextUnderline(boolean textUnderline)`
`void` | `setToDefaults()`
`void` | `setUnderline(boolean underline)`
`void` | `setValue(java.lang.String value)` Sets the rightmost side of rule expression
`void` | `setValueUserDefined(boolean valueUserDefined)`

Field Detail

### id

    protected java.lang.String id

  The id of this rule

### label

    protected java.lang.String label

  The label (human readable name) of this rule

### measure

    protected java.lang.String measure

  The leftmose side of expression

### isMeasure

    protected boolean isMeasure

### value

    protected java.lang.String value

  The rightmost side of expression

### valueUserDefined

    protected boolean valueUserDefined

### minValue

    protected java.lang.String minValue

### minValueUserDefined

    protected boolean minValueUserDefined

### maxValue

    protected java.lang.String maxValue

### maxValueUserDefined

    protected boolean maxValueUserDefined

### assignment

    protected java.lang.String assignment

  The assignment for expression

### condition

    protected java.lang.String condition

  The condition for expression

### outlineColor

    protected java.lang.String outlineColor

  The outline color

### fillColor

    protected java.lang.String fillColor

  The fill color

### fontColor

    protected java.lang.String fontColor

  The font color

### font

    protected java.lang.String font

  The font

### fontSize

    protected java.lang.String fontSize

  The font size

### bold

    protected boolean bold

### italic

    protected boolean italic

### underline

    protected boolean underline

### addImage

    protected boolean addImage

### addText

    protected boolean addText

### imageTextPosition

    protected java.lang.String imageTextPosition

### textFont

    protected java.lang.String textFont

### textFontColor

    protected java.lang.String textFontColor

### textFontSize

    protected java.lang.String textFontSize

### textBold

    protected boolean textBold

### textItalic

    protected boolean textItalic

### textUnderline

    protected boolean textUnderline

### text

    protected java.lang.String text

### image

    protected java.lang.String image

Constructor Detail

### ExceptionHighlightingRule

    public ExceptionHighlightingRule()

Method Detail

### setToDefaults

    public void setToDefaults()

### getCondition

    public java.lang.String getCondition()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the condition for rule expression

  Specified by:
    `getCondition` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the condition.

### setCondition

    public void setCondition(java.lang.String condition)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the condition for rule expression

  Specified by:
    `setCondition` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `condition` - The condition to set.

### getId

    public java.lang.String getId()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the unique ID of this rule.

  Specified by:
    `getId` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the unique ID of this rule

  Specified by:
    `setId` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `id` - The id to set.

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the label (human readable name) of this rule

  Specified by:
    `getLabel` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the label.

### setLabel

    public void setLabel(java.lang.String label)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the label (human readable name) of this rule

  Specified by:
    `setLabel` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `label` - The label to set.

### getExpression

    public java.lang.String getExpression()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the String expression representing this rule

  Specified by:
    `getExpression` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the Expression

### getOutlineColor

    public java.lang.String getOutlineColor()

  Specified by:
    `getOutlineColor` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the outlineColor.

### setOutlineColor

    public void setOutlineColor(java.lang.String outlineColor)

  Specified by:
    `setOutlineColor` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `outlineColor` - The outlineColor to set.

### getFillColor

    public java.lang.String getFillColor()

  Specified by:
    `getFillColor` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the fillColor.

### setFillColor

    public void setFillColor(java.lang.String fillColor)

  Specified by:
    `setFillColor` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `fillColor` - The fillColor to set.

### getFontColor

    public java.lang.String getFontColor()

  Specified by:
    `getFontColor` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the fontColor.

### setFontColor

    public void setFontColor(java.lang.String fontColor)

  Specified by:
    `setFontColor` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `fontColor` - The fontColor to set.

### getFont

    public java.lang.String getFont()

  Specified by:
    `getFont` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the font.

### setFont

    public void setFont(java.lang.String font)

  Specified by:
    `setFont` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `font` - The font to set.

### getFontSize

    public java.lang.String getFontSize()

  Specified by:
    `getFontSize` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the fontSize.

### setFontSize

    public void setFontSize(java.lang.String fontSize)

  Specified by:
    `setFontSize` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `fontSize` - The fontSize to set.

### isBold

    public boolean isBold()

  Specified by:
    `isBold` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the bold.

### setBold

    public void setBold(boolean bold)

  Specified by:
    `setBold` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `bold` - The bold to set.

### isItalic

    public boolean isItalic()

  Specified by:
    `isItalic` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the italic.

### setItalic

    public void setItalic(boolean italic)

  Specified by:
    `setItalic` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `italic` - The italic to set.

### isUnderline

    public boolean isUnderline()

  Specified by:
    `isUnderline` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the underline.

### setUnderline

    public void setUnderline(boolean underline)

  Specified by:
    `setUnderline` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `underline` - The underline to set.

### isAddImage

    public boolean isAddImage()

  Specified by:
    `isAddImage` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the addImage.

### setAddImage

    public void setAddImage(boolean addImage)

  Specified by:
    `setAddImage` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `addImage` - The addImage to set.

### isAddText

    public boolean isAddText()

  Specified by:
    `isAddText` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the addText.

### setAddText

    public void setAddText(boolean addText)

  Specified by:
    `setAddText` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `addText` - The addText to set.

### getImageTextPosition

    public java.lang.String getImageTextPosition()

  Specified by:
    `getImageTextPosition` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the imageTextPosition.

### setImageTextPosition

    public void setImageTextPosition(java.lang.String imageTextPosition)

  Specified by:
    `setImageTextPosition` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `imageTextPosition` - The imageTextPosition to set.

### isTextBold

    public boolean isTextBold()

  Specified by:
    `isTextBold` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textBold.

### setTextBold

    public void setTextBold(boolean textBold)

  Specified by:
    `setTextBold` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textBold` - The textBold to set.

### getTextFont

    public java.lang.String getTextFont()

  Specified by:
    `getTextFont` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textFont.

### setTextFont

    public void setTextFont(java.lang.String textFont)

  Specified by:
    `setTextFont` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textFont` - The textFont to set.

### getTextFontColor

    public java.lang.String getTextFontColor()

  Specified by:
    `getTextFontColor` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textFontColor.

### setTextFontColor

    public void setTextFontColor(java.lang.String textFontColor)

  Specified by:
    `setTextFontColor` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textFontColor` - The textFontColor to set.

### getTextFontSize

    public java.lang.String getTextFontSize()

  Specified by:
    `getTextFontSize` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textFontSize.

### setTextFontSize

    public void setTextFontSize(java.lang.String textFontSize)

  Specified by:
    `setTextFontSize` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textFontSize` - The textFontSize to set.

### isTextItalic

    public boolean isTextItalic()

  Specified by:
    `isTextItalic` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textItalic.

### setTextItalic

    public void setTextItalic(boolean textItalic)

  Specified by:
    `setTextItalic` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textItalic` - The textItalic to set.

### isTextUnderline

    public boolean isTextUnderline()

  Specified by:
    `isTextUnderline` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the textUnderline.

### setTextUnderline

    public void setTextUnderline(boolean textUnderline)

  Specified by:
    `setTextUnderline` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `textUnderline` - The textUnderline to set.

### getImage

    public java.lang.String getImage()

  Specified by:
    `getImage` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the image.

### setImage

    public void setImage(java.lang.String image)

  Specified by:
    `setImage` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `image` - The image to set.

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the text.

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `text` - The text to set.

### getMaxValue

    public java.lang.String getMaxValue()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the max value for between expression

  Specified by:
    `getMaxValue` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the maxValue.

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the max value for between expression

  Specified by:
    `setMaxValue` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `maxValue` - The maxValue to set.

### isMaxValueUserDefined

    public boolean isMaxValueUserDefined()

  Specified by:
    `isMaxValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the maxValueUserDefined.

### setMaxValueUserDefined

    public void setMaxValueUserDefined(boolean maxValueUserDefined)

  Specified by:
    `setMaxValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `maxValueUserDefined` - The maxValueUserDefined to set.

### getMeasure

    public java.lang.String getMeasure()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the leftmost side of rule expression

  Specified by:
    `getMeasure` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the measure.

### setMeasure

    public void setMeasure(java.lang.String measure)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the leftmost side of rule expression

  Specified by:
    `setMeasure` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `measure` - The measure to set.

### getMinValue

    public java.lang.String getMinValue()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the min value for between expression

  Specified by:
    `getMinValue` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the minValue.

### setMinValue

    public void setMinValue(java.lang.String minValue)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the min value for between expression

  Specified by:
    `setMinValue` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `minValue` - The minValue to set.

### isMinValueUserDefined

    public boolean isMinValueUserDefined()

  Specified by:
    `isMinValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the minValueUserDefined.

### setMinValueUserDefined

    public void setMinValueUserDefined(boolean minValueUserDefined)

  Specified by:
    `setMinValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `minValueUserDefined` - The minValueUserDefined to set.

### getValue

    public java.lang.String getValue()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the rightmost side of rule expression

  Specified by:
    `getValue` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the rightmost side of rule expression

  Specified by:
    `setValue` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `value` - The value to set.

### isValueUserDefined

    public boolean isValueUserDefined()

  Specified by:
    `isValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the valueUserDefined.

### setValueUserDefined

    public void setValueUserDefined(boolean valueUserDefined)

  Specified by:
    `setValueUserDefined` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `valueUserDefined` - The valueUserDefined to set.

### getAssignment

    public java.lang.String getAssignment()

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Gets the assignment of rule expression

  Specified by:
    `getAssignment` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns the measure.

### setAssignment

    public void setAssignment(java.lang.String assignment)

  Description copied from interface: `ExceptionHighlightingRuleInterface`
  Sets the assignment of rule expression

  Specified by:
    `setAssignment` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `measure` - The measure to set.

### isMeasure

    public boolean isMeasure()

  Specified by:
    `isMeasure` in interface `ExceptionHighlightingRuleInterface`
  Returns:
    Returns whether or not a measure.

### setIsMeasure

    public void setIsMeasure(boolean isMeasure)

  Specified by:
    `setIsMeasure` in interface `ExceptionHighlightingRuleInterface`
  Parameters:
    `isMeasure` - Whether or no a measure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.